package com.ibiz.mybatis.external.po;

import com.ibiz.core.repository.po.ORG;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
/**
 * 关系型数据实体表[ORG] 对象
 */
@TableName(value = "T_ORG",resultMap = "T_ORGResultMap")
public class T_ORGImpl implements ORG,Serializable {

    /**
     * 机构标识
     */        
    @TableId(value= "orgid",type=IdType.UUID)//指定主键生成策略
    private String ORGId;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean ORGIdDirtyFlag;

    private Timestamp UpdateDate;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean UpdateDateDirtyFlag;

    private String CreateMan;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CreateManDirtyFlag;

    private String ORGName;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean ORGNameDirtyFlag;

    private String UpdateMan;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean UpdateManDirtyFlag;

    private Timestamp CreateDate;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CreateDateDirtyFlag;

    private String Porgname;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean PorgnameDirtyFlag;

    private String Porgid;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean PorgidDirtyFlag;

    /**
     * 获取 [机构标识]
     */
    public String getORGId(){
        return ORGId ;
    }

    /**
     * 设置 [机构标识]
     */
    public void setORGId(String  oRGId){
        this.ORGId = oRGId ;
        this.ORGIdDirtyFlag = true ;
    }
    /**
     * 获取 [机构标识]脏标记
     */
    @JsonIgnore
    public boolean getORGIdDirtyFlag(){
        return ORGIdDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }
    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return UpdateDateDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    public String getCreateMan(){
        return CreateMan ;
    }

    /**
     * 设置 [建立人]
     */
    public void setCreateMan(String  createMan){
        this.CreateMan = createMan ;
        this.CreateManDirtyFlag = true ;
    }
    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return CreateManDirtyFlag ;
    }

    /**
     * 获取 [机构名称]
     */
    public String getORGName(){
        return ORGName ;
    }

    /**
     * 设置 [机构名称]
     */
    public void setORGName(String  oRGName){
        this.ORGName = oRGName ;
        this.ORGNameDirtyFlag = true ;
    }
    /**
     * 获取 [机构名称]脏标记
     */
    @JsonIgnore
    public boolean getORGNameDirtyFlag(){
        return ORGNameDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    public String getUpdateMan(){
        return UpdateMan ;
    }

    /**
     * 设置 [更新人]
     */
    public void setUpdateMan(String  updateMan){
        this.UpdateMan = updateMan ;
        this.UpdateManDirtyFlag = true ;
    }
    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return UpdateManDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    public Timestamp getCreateDate(){
        return CreateDate ;
    }

    /**
     * 设置 [建立时间]
     */
    public void setCreateDate(Timestamp  createDate){
        this.CreateDate = createDate ;
        this.CreateDateDirtyFlag = true ;
    }
    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return CreateDateDirtyFlag ;
    }

    /**
     * 获取 [机构名称]
     */
    public String getPorgname(){
        return Porgname ;
    }

    /**
     * 设置 [机构名称]
     */
    public void setPorgname(String  porgname){
        this.Porgname = porgname ;
        this.PorgnameDirtyFlag = true ;
    }
    /**
     * 获取 [机构名称]脏标记
     */
    @JsonIgnore
    public boolean getPorgnameDirtyFlag(){
        return PorgnameDirtyFlag ;
    }

    /**
     * 获取 [机构标识]
     */
    public String getPorgid(){
        return Porgid ;
    }

    /**
     * 设置 [机构标识]
     */
    public void setPorgid(String  porgid){
        this.Porgid = porgid ;
        this.PorgidDirtyFlag = true ;
    }
    /**
     * 获取 [机构标识]脏标记
     */
    @JsonIgnore
    public boolean getPorgidDirtyFlag(){
        return PorgidDirtyFlag ;
    }

}